label {
  display: block;
  margin-bottom: 0.125rem;
  font-size: 0.875rem;
  font-weight: bold;
}

input,
textarea {
  width: calc(100% - 1rem);
  padding: 0.5rem;
  margin-bottom: 1.125rem;
  border: 1px solid #fb7021;

  @media (min-width: 992px) {
    font-size: 1.125rem;
    padding: 1rem 0.5rem;
  }
}

textarea {
  resize: vertical;
}

button.primary {
  appearance: none;
  border: none;
}

.error-message {
  color: #ff0000;
  font-size: 0.875rem;
  margin-bottom: 1rem;
  margin-top: -1rem;
  display: none;
}

.send-success,
.send-error {
  display: none;
  margin-top: 1rem;
  padding: 0.5rem;
  border-radius: 0.25rem;
  font-size: 0.875rem;
}

.send-success {
  background-color: #44eaae;
}

.send-error {
  background-color: #ff0000;
  color: #ffffff;

  a {
    color: #ffffff;
    padding: 0;
    margin: 0;
    font-weight: normal;
    text-transform: none;
    font-size: 0.875rem;
  }
}

.features {
  display: grid;
  grid-gap: 1rem;
  margin-bottom: 4rem;

  @media (min-width: 992px) {
    grid-template-columns: 1fr 1fr;
    grid-gap: 2rem;
  }
}

.feature {
  display: grid;
  grid-gap: 1.25rem;
  padding: 1.25rem 1rem;
  justify-items: center;
  text-align: center;
  background-color: #ffffff;
  box-shadow: #00000024 0px 2px 6px;

  h3 {
    margin-bottom: 0.75rem;
    text-transform: none;
  }

  @media (min-width: 768px) {
    grid-template-columns: 130px auto;
    grid-gap: 1.875rem;
    align-items: center;
    text-align: left;
    padding: 1.875rem;

    p {
      font-size: 0.875rem;
    }
  }
}

.interested {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem 0;

  a {
    width: -webkit-fill-available;

    @media (min-width: 992px) {
      width: auto;
    }
  }
}

.testimonials {
  background-color: #44eaae;
  background-image: url(/images/lotus.svg);
  background-position: center top;
  background-repeat: no-repeat;
  background-size: 900px;

  h4 {
    color: #ffffff;
  }

  @media (min-width: 992px) {
    background-size: 70vw;
    background-position: -35vw;
  }
}

.slider-wrapper {
  display: grid;
  align-items: center;
  margin-bottom: 1rem;
  grid-template-columns: 50px 1fr 50px;
  grid-gap: 20px;

  @media (min-width: 768px) {
    grid-gap: 5rem;
    grid-template-columns: 4rem 1fr 4rem;
  }
}

.slider-navigation {
  width: 50px;
  height: 50px;
  background-color: #ffffff;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  padding: 0;
  cursor: pointer;

  @media screen and (min-width: 768px) {
    display: flex;
    width: 4rem;
    height: 4rem;
  }

  img {
    width: 70%;
    height: 70%;
  }

  &.next img {
    transform: rotate(180deg);
  }
}

.slider {
  display: flex;
  overflow: hidden;
  margin: auto;
  grid-gap: 20%;
  width: 100%;

  @media (min-width: 992px) {
    grid-gap: 3rem;
  }
}

.slide {
  flex-shrink: 0;
  max-width: 100%;
  margin-left: 0;
  transition: all 0.5s;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;

  @media (min-width: 992px) {
    max-width: calc((100% - 6rem) / 3);
  }
}

.img-holder {
  align-items: center;
  display: flex;
  gap: 0.75rem;

  img {
    width: 40px;
    height: 40px;
    box-shadow: #00000024 0px 2px 6px;
    border-radius: 50px;
  }
}

.slide-text {
  display: flex;
  background-color: #ffffff;
  padding: 1.5rem;
  flex-direction: column;
  justify-content: space-between;
  max-height: 100%;
  height: -webkit-fill-available;

  strong {
    color: #fb7021;
  }
}

.slide-handles {
  display: flex;
  justify-content: center;
  gap: 0.5rem;
  margin-bottom: 2rem;
}

.slide-handle {
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 50%;
  background-color: #ffffff80;

  &.active {
    background-color: #ffffff;
  }
}

footer {
  .top {
    background-color: #fb7021;
    color: #ffffff;
    padding: 2rem 0;
    font-size: 0.875rem;

    p:last-of-type {
      margin: 0;
    }

    .container {
      display: grid;
      grid-gap: 2rem;

      @media (min-width: 768px) {
        grid-template-columns: 1fr 1fr;
      }

      @media (min-width: 992px) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
      }
    }

    .title {
      text-transform: uppercase;
      border-bottom: 2px solid #fdc02d;
      margin-bottom: 0.25rem;
      font-weight: bold;
      font-size: 1.125rem;
    }

    a {
      padding: 0;
      margin: 0;
      text-transform: none;
      font-weight: normal;
    }
  }

  .bottom {
    background-color: #fdc02d;
    padding: 1rem 0;

    .container {
      display: flex;
      justify-content: space-between;
      align-items: center;
      font-size: 0.75rem;
      flex-wrap: wrap;
      text-align: right;
      gap: 1rem;
    }
  }
}

.lotus {
  background-image: url("/images/lotus.svg");
  background-position: center top;
  background-repeat: no-repeat;
  background-color: #ffffff;
  background-size: 200%;

  @media (min-width: 992px) {
    background-size: 100%;
    background-position: center 10rem;
  }
}

.split {
  margin-bottom: 3rem;

  @media (min-width: 992px) {
    display: grid;
    grid-template-columns: 475px auto;
    grid-gap: 6rem;

    &.reverse {
      grid-template-columns: auto 475px;

      & > *:first-child {
        order: 2;
      }
    }

    & > div {
      margin-top: 2rem;
    }
  }

  img {
    margin: auto;
    margin-bottom: 20px;
  }

  p {
    margin-bottom: 1.5rem;
    font-size: 1.125rem;
  }

  .title {
    font-size: 2rem;
    font-weight: 900;
    margin-bottom: 10px;

    @media (min-width: 992px) {
      font-size: 3rem;
    }
  }

  &.padded {
    @media (min-width: 992px) {
      & > div {
        padding-top: 2rem;
      }
    }
  }
}

.double-badge {
  position: relative;

  .badge-svg {
    background-color: #f8f8f8;
    width: -webkit-fill-available;
    height: 100%;
    max-width: none;
    position: absolute;

    @media (min-width: 768px) {
      width: 100%;
    }

    &:first-of-type {
      left: -90%;
      top: 0;
      -webkit-mask: url(/images/badge.svg) no-repeat center top;
      mask: url(/images/badge.svg) no-repeat center top;

      @media (min-width: 768px) {
        left: -40%;
      }
    }

    &:last-of-type {
      right: -90%;
      top: 0;
      -webkit-mask: url(/images/badge.svg) no-repeat center bottom;
      mask: url(/images/badge.svg) no-repeat center bottom;

      @media (min-width: 768px) {
        right: -40%;
      }
    }
  }
}

.video-wrapper {
  position: relative;

  @media (min-width: 992px) {
    margin-bottom: 3rem;
  }

  img {
    margin: 0 auto;
    max-width: min(100%, 580px);
  }

  .video {
    width: 100%;
    aspect-ratio: 16/9;
    background-image: linear-gradient(225deg, #3e3e3e, #0d0d0d);
    border: 0.25rem solid #2b2b2b;
    box-shadow: #000000aa 0 6px 12px;

    @media (min-width: 768px) {
      max-width: 80%;
      margin: auto;
    }

    &:before {
      content: "";
      display: block;
      width: 50%;
      height: 100%;
      background-image: linear-gradient(
        125deg,
        #ffffff10,
        50%,
        transparent 50%
      );
    }
  }
}

#pricing {
  background-image: linear-gradient(#ffffff, #f2f2f2, #ffffff);

  @media (min-width: 992px) {
    background-image: none;
    background-color: #ffffff;
  }

  .intro {
    h2 {
      margin-bottom: 2rem;

      @media (min-width: 992px) {
        margin-bottom: 1rem;
      }
    }

    h3 {
      margin-bottom: 1rem;
    }

    p {
      margin-bottom: 2rem;
    }

    a {
      margin-bottom: 3rem;

      @media (min-width: 992px) {
        display: block;
        width: fit-content;
        margin: auto;
        margin-bottom: 4rem;
      }
    }

    .choose {
      font-weight: bold;
      text-align: center;
      padding-bottom: 2px;
      text-transform: uppercase;
      border-bottom: 2px solid #fdc02d;
      width: fit-content;
      margin: auto;
      margin-bottom: 1.25rem;
      font-size: 0.75rem;

      @media (min-width: 992px) {
        padding: 5px 1.25rem;
        border: none;
        margin: 0;
      }
    }
  }
}

.pricing {
  margin-bottom: 2rem;

  @media (min-width: 992px) {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 2rem;
  }

  .pricing-item {
    box-shadow: #bababa 0px 0px 10px;
    padding: 1rem 2rem;
    background-color: #ffffff;
    position: relative;

    @media (min-width: 992px) {
      display: flex;
      flex-direction: column;
    }

    small {
      letter-spacing: normal;
      font-weight: normal;
      color: #8d8d8d;
      white-space: nowrap;
    }

    .pricing-header {
      display: grid;
      grid-gap: 10px;
      align-content: start;

      h3 {
        font-size: 1rem;
      }

      p {
        font-size: 0.75rem;

        @media (min-width: 768px) {
          font-size: 0.875rem;
        }
      }
    }

    .pricing-body {
      display: grid;
      grid-gap: 10px;
      margin-bottom: 0.75rem;

      .price {
        font-size: 4rem;
        font-weight: bold;
        letter-spacing: -0.5rem;

        @media (min-width: 992px) {
          font-size: 5rem;
          display: flex;
          flex-wrap: wrap;
          align-items: baseline;
          gap: 0 8px;
        }
      }
    }

    .pricing-footer {
      @media (min-width: 992px) {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        width: fit-content;
        margin: auto;
      }

      a.primary.inverse {
        color: #fb7021;
        background-color: #ffffff;
        border: 2px solid #fb7021;
      }

      small {
        display: block;
        text-align: center;
        margin: 1rem 0;
      }
    }
  }

  .plan-features {
    font-size: 0.75rem;
    font-weight: bold;

    @media (min-width: 768px) {
      font-size: 1rem;
    }

    li {
      display: flex;
      align-items: center;
      margin-bottom: 0.4rem;
      gap: 4px;

      &:before {
        content: "";
        display: inline-block;
        width: 20px;
        height: 20px;
        background-image: url(/images/icon-ok.png);
        margin-right: 5px;
      }
    }
  }

  .highlighted {
    margin-top: 60px;
    box-shadow: inset 0 0 0 2px #fb7021;

    @media (min-width: 992px) {
      margin-top: 0;
    }

    .highlight {
      background-color: #fb7021;
      color: #ffffff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 0.75rem;
      padding: 5px 1.25rem;
      gap: 0.25rem;
      position: absolute;
      bottom: 100%;
      left: 0;
      right: 0;
      display: grid;
      grid-auto-flow: column;
      justify-content: flex-start;
      align-items: center;
    }
  }

  .separator {
    height: 2px;
    background-color: #fdc02d;
    width: 6rem;
    margin: 2rem auto;

    @media (min-width: 992px) {
      display: none;
    }
  }

  .additional {
    padding: 0 2rem;
    margin-top: 1rem;
    font-weight: normal;
  }
}
